hslua-list-1.1.4: Opinionated, but extensible Lua list type.

Copyright | © 2021-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb@hslua.org>
Safe Haskell | None
Language | Haskell2010

HsLua.List

Description

Lua lists with additional methods.

Synopsis

- luaopen_list_ptr :: CFunction
- pushListModule :: LuaError e => LuaE e ()
- newListMetatable :: Name -> LuaE e () -> LuaE e ()

# Documentation

luaopen_list_ptr :: CFunction Source #

Pointer to the function that opens the List module and pushes it to the stack.

pushListModule :: LuaError e => LuaE e () Source #

Opens the List module and pushes it to the stack.

newListMetatable Source #

Arguments

:: Name |
-> LuaE e () | setup
-> LuaE e () |

Pushes the metatable of the given List type, creating it if necessary. The `setup` operation is run when the metatable did not exists, was created, and is then at the top of the stack. The operation may modify the table but must be balanced, and must leave the stack as it found it.